binreloc.h File Reference

Go to the source code of this file.

## Macros

#define | br_build_path pkND64590836275372_br_build_path
#define | br_dirname pkND64590836275372_br_dirname
#define | br_find_bin_dir pkND64590836275372_br_find_bin_dir
#define | br_find_data_dir pkND64590836275372_br_find_data_dir
#define | br_find_etc_dir pkND64590836275372_br_find_etc_dir
#define | br_find_exe pkND64590836275372_br_find_exe
#define | br_find_exe_dir pkND64590836275372_br_find_exe_dir
#define | br_find_lib_dir pkND64590836275372_br_find_lib_dir
#define | br_find_libexec_dir pkND64590836275372_br_find_libexec_dir
#define | br_find_locale_dir pkND64590836275372_br_find_locale_dir
#define | br_find_prefix pkND64590836275372_br_find_prefix
#define | br_find_sbin_dir pkND64590836275372_br_find_sbin_dir
#define | br_init pkND64590836275372_br_init
#define | br_init_lib pkND64590836275372_br_init_lib
#define | br_strcat pkND64590836275372_br_strcat

## Enumerations

enum | BrInitError { BR_INIT_ERROR_NOMEM , BR_INIT_ERROR_OPEN_MAPS , BR_INIT_ERROR_READ_MAPS , BR_INIT_ERROR_INVALID_MAPS , BR_INIT_ERROR_DISABLED }

## Functions

char * | br_build_path (const char *dir, const char *file)
char * | br_dirname (const char *path)
char * | br_find_bin_dir (const char *default_bin_dir)
char * | br_find_data_dir (const char *default_data_dir)
char * | br_find_etc_dir (const char *default_etc_dir)
char * | br_find_exe (const char *default_exe)
char * | br_find_exe_dir (const char *default_dir)
char * | br_find_lib_dir (const char *default_lib_dir)
char * | br_find_libexec_dir (const char *default_libexec_dir)
char * | br_find_locale_dir (const char *default_locale_dir)
char * | br_find_prefix (const char *default_prefix)
char * | br_find_sbin_dir (const char *default_sbin_dir)
int | br_init (BrInitError *error)
int | br_init_lib (BrInitError *error)
char * | br_strcat (const char *str1, const char *str2)

## Macro Definition Documentation

## br_build_path

#define br_build_path pkND64590836275372_br_build_path

Definition at line 52 of file binreloc.h.

## br_dirname

#define br_dirname pkND64590836275372_br_dirname

Definition at line 53 of file binreloc.h.

## br_find_bin_dir

#define br_find_bin_dir pkND64590836275372_br_find_bin_dir

Definition at line 44 of file binreloc.h.

## br_find_data_dir

#define br_find_data_dir pkND64590836275372_br_find_data_dir

Definition at line 46 of file binreloc.h.

## br_find_etc_dir

#define br_find_etc_dir pkND64590836275372_br_find_etc_dir

Definition at line 50 of file binreloc.h.

## br_find_exe

#define br_find_exe pkND64590836275372_br_find_exe

Definition at line 41 of file binreloc.h.

## br_find_exe_dir

#define br_find_exe_dir pkND64590836275372_br_find_exe_dir

Definition at line 42 of file binreloc.h.

## br_find_lib_dir

#define br_find_lib_dir pkND64590836275372_br_find_lib_dir

Definition at line 48 of file binreloc.h.

## br_find_libexec_dir

#define br_find_libexec_dir pkND64590836275372_br_find_libexec_dir

Definition at line 49 of file binreloc.h.

## br_find_locale_dir

#define br_find_locale_dir pkND64590836275372_br_find_locale_dir

Definition at line 47 of file binreloc.h.

## br_find_prefix

#define br_find_prefix pkND64590836275372_br_find_prefix

Definition at line 43 of file binreloc.h.

## br_find_sbin_dir

#define br_find_sbin_dir pkND64590836275372_br_find_sbin_dir

Definition at line 45 of file binreloc.h.

## br_init

#define br_init pkND64590836275372_br_init

Definition at line 39 of file binreloc.h.

## br_init_lib

#define br_init_lib pkND64590836275372_br_init_lib

Definition at line 40 of file binreloc.h.

## br_strcat

#define br_strcat pkND64590836275372_br_strcat

Definition at line 51 of file binreloc.h.

## Enumeration Type Documentation

## BrInitError

enum BrInitError

These error codes can be returned by br_init(), br_init_lib(), gbr_init() or gbr_init_lib().

Enumerator
BR_INIT_ERROR_NOMEM | Cannot allocate memory.
BR_INIT_ERROR_OPEN_MAPS | Unable to open /proc/self/maps; see errno for details.
BR_INIT_ERROR_READ_MAPS | Unable to read from /proc/self/maps; see errno for details.
BR_INIT_ERROR_INVALID_MAPS | The file format of /proc/self/maps is invalid; kernel bug?
BR_INIT_ERROR_DISABLED | BinReloc is disabled (the ENABLE_BINRELOC macro is not defined).

Definition at line 22 of file binreloc.h.

## Function Documentation

## br_build_path()

char * br_build_path | ( | const char * | dir,
|  | const char * | file )

## br_dirname()

char * br_dirname | ( | const char * | path | ) |

## br_find_bin_dir()

char * br_find_bin_dir | ( | const char * | default_bin_dir | ) |

## br_find_data_dir()

char * br_find_data_dir | ( | const char * | default_data_dir | ) |

## br_find_etc_dir()

char * br_find_etc_dir | ( | const char * | default_etc_dir | ) |

## br_find_exe()

char * br_find_exe | ( | const char * | default_exe | ) |

## br_find_exe_dir()

char * br_find_exe_dir | ( | const char * | default_dir | ) |

## br_find_lib_dir()

char * br_find_lib_dir | ( | const char * | default_lib_dir | ) |

## br_find_libexec_dir()

char * br_find_libexec_dir | ( | const char * | default_libexec_dir | ) |

## br_find_locale_dir()

char * br_find_locale_dir | ( | const char * | default_locale_dir | ) |

## br_find_prefix()

char * br_find_prefix | ( | const char * | default_prefix | ) |

## br_find_sbin_dir()

char * br_find_sbin_dir | ( | const char * | default_sbin_dir | ) |

## br_init()

int br_init | ( | BrInitError * | error | ) |

## br_init_lib()

int br_init_lib | ( | BrInitError * | error | ) |

## br_strcat()

char * br_strcat | ( | const char * | str1,
|  | const char * | str2 )